package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.SysSupplies;
import com.ruoyi.system.mapper.ISysSuppliesMapper;
import com.ruoyi.system.service.ISysSuppliesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 物资管理Service业务层处理
 * 
 * @author
 * @date
 */
@Service
public class SysSuppliesServiceImpl implements ISysSuppliesService
{
    @Autowired
    private ISysSuppliesMapper iSysSuppliesMapper;

    @Override
    public List<SysSupplies> list() {
        return iSysSuppliesMapper.list();
    }

    @Override
    public SysSupplies selectExcelById(Long id) {
        return iSysSuppliesMapper.selectExcelById(id);
    }

    @Override
    public Integer save(SysSupplies sysSupplies) {
        return iSysSuppliesMapper.save(sysSupplies);
    }



}
